path: /build/build/virtualbox-modules-kernel-6.10-7.1.0.164728.package.tar.zst
dependencies: []
compilespec:
  steps:
  - luet i -y sys-apps/kmod virtual/modutils pkgconf virtual/libelf virtual/linux-sources
    && luet cleanup
  - epro list && emerge -j ${JOBS} app-emulation/virtualbox-modules -pv -t
  - |
    emerge -j ${JOBS} app-emulation/virtualbox-modules
  - |
    eval 'rm -rf /virtualbox-modules || true' && mkdir /virtualbox-modules && \
    luet-portage --dir /virtualbox-modules app-emulation/virtualbox-modules
  - for i in /virtualbox-modules/lib/modules/6.10.10-macaroni/misc/*.ko ; do zstd
    ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8f16dad45975397bf6cd80c410958751d42e6bd26563175f641e53ae0caff80a
  package:
    name: virtualbox-modules
    version: 7.1.0.164728
    category: kernel-6.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.10
    annotations:
      kernel_module: true
    buildtimestamp: 2024-09-18 23:19:29.684188483 +0000 UTC m=+350.924486514
    labels:
      emerge.packages: app-emulation/virtualbox-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.10.10
    treedir: /build/packages
  package_dir: /virtualbox-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/etc/modprobe.d/
  - ^/usr/lib/modules-load.d/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d1eaf6e388c3bc0d3fe416de91b4e2aabac5a287195f909293187f50e2d016f0
compressiontype: zstd
files:
- lib/modules/6.10.10-macaroni/misc/vboxdrv.ko.zst
- lib/modules/6.10.10-macaroni/misc/vboxnetadp.ko.zst
- lib/modules/6.10.10-macaroni/misc/vboxnetflt.ko.zst
package_cacheimage: ""
runtime:
  name: virtualbox-modules
  version: 7.1.0.164728
  category: kernel-6.10
  requires:
  - name: virtualbox-common
    version: '>=0'
    category: kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: app-emulation/virtualbox-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.10.10
